﻿var starting_list;
var mask;
var devicetype = api.getQueryString('devicetype');

//app中不显示定位
if (devicetype && typeof (devicetype) != 'undefined') {
    $('.aoyou-selcity').css('display', 'none');
}

//切换城市按钮是否可用状态
function changesubitcss(type) {
    if (type == 1) {
        $("#btnsumit").attr("class", "aoyou-btn aoyou-btn-block aoyou-min-btnsmallrl");
        $('#btnsumit').attr("readonly", "readonly");
    }
    else {
        $("#btnsumit").attr("class", "aoyou-btn aoyou-btn-block aoyou-min-btnsmallrl-active");;
        $('#btnsumit').attr("readonly", "");
    }
}

//获取选择连锁店的名称
function getShopName(e) {
    $("#hidshopname").val($(e).find('p').text());
}
//获取城市定位
function showPosition(position) {
    var latitude = position.coords.latitude;
    var longitude = position.coords.longitude;
    var point = new BMap.Point(longitude, latitude); // 创建点坐标
    var gc = new BMap.Geocoder();

    gc.getLocation(point, function (rs) {
        var locationCity = rs.addressComponents.city.replace(/市/g, '');
        var cityId = getCityId(locationCity);
        if (!selectCity && locationCity && cityId) {
            $("#begancity").val(locationCity)
            $('#begancityid').val(cityId);
            $("#txtselectcity").val(locationCity)
            localSet("departurenew", '{"id":' + cityId + ',"n":"' + locationCity + '"}');
            localSet("PositionCity", '{"id":' + cityId + ',"n":"' + locationCity + '"}');
        }
    });
}

function updateStatus(message) {
    aoyou.toast(message);
}
function handleLocationError(error) {
    switch (error.code) {
        case 0:
            updateStatus("尝试获取您的位置信息时发生错误：" + error.message);
            break;
        case 1:
            updateStatus("用户拒绝了获取位置信息请求。");
            break;
        case 2:
            updateStatus("浏览器无法获取您的位置信息：" + error.message);
            break;
        case 3:
            updateStatus("获取您位置信息超时。");
            break;
    }
}

function getMyCity() {
    if (window.localStorage) {
        if (window.localStorage.getItem("departurenew") != null && window.localStorage.getItem("departurenew").toString().length > 0) {
            var o = JSON.parse(window.localStorage.getItem("departurenew"));
            $("#begancity").val(o.n);
            $("#begancityid").val(o.id);
            return o.id;
        } else {
            localSet("departurenew", '{"id":1,"n":"北京"}');
            return 1;
        }
    }
}
//获取城市ID
function getCityId(cityName) {
    var cityid;
    if (starting_list) {
        for (var i = 0; i < starting_list.length; i++) {
            for (var j = 0; starting_list[i].CityView != null && j < starting_list[i].CityView.length; j++) {
                if (starting_list[i].CityView[j].CityName == cityName) {
                    cityid = starting_list[i].CityView[j].CityID;

                    if (cityid == null || cityid == "undefined") {
                        cityid = 0;
                    }
                    return cityid;
                }
                else {
                    return 0;
                }
            }
        }
    }
}

var selectCity = false;
//城市定位
$(function () {
    if (devicetype === "ios") {

    } else if (devicetype == "android") {

    } else {
        if (window.localStorage && window.localStorage.getItem("departurenew") == null) {
            if (navigator.geolocation) {
                navigator.geolocation.watchPosition(showPosition, handleLocationError, {
                    enableHighAccuracy: true,
                    maximumAge: 0
                });
            } else {
                getMyCity();
            }
        } else {
            if (window.localStorage.getItem("PositionCity") != null) {
                var o = JSON.parse(window.localStorage.getItem("PositionCity"));
                $("#txtselectcity").val(o.n);
            }
            getMyCity();
        }
    }
});
var image = "http://activity.aoyou.com/commerce/CustomTravel/images";
var app = angular.module('CustomChannel', []);
var res = '';
app.controller('CustomChannelController', function ($http, $scope, $location, $anchorScroll) {
    $scope.HomePageClick = function () {
        if (devicetype == 'ios') {
            api.invoke("action.back", "");
        }
        else if (devicetype == 'android') {
            window.action.exec('back', '');
        }
        else {
            window.location.href = "http://m.aoyou.com";
        }
    }

    $scope.CostomHomePageClick = function () {
        $('.aoyou-pageone').removeClass('aoyou-hidden');
        $('.aoyou-address').addClass('aoyou-hidden');
    }

    //隐藏
    $scope.menuStateZero = true;

    //从搜索列表页面回跳到定制页，传值出发地和目的地
    $scope.returnadress = function () {
        var BeginCityName = api.getQueryString("DeptCityName");
        var DepartCityName = api.getQueryString("DestCityName");
        var BeginCityID = api.getQueryString("DeptCityID");
        $("#begancityid").val(BeginCityID);
        if (BeginCityName != null) {
            if (!starting_list) {
                api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'DepartureCity', "", true, function (obj) {
                    if (obj.ErrorCode == 200 || obj.ErrorCode == -3) {
                        //if (obj.ErrorCode == -3) {
                        //    aoyou.toast(obj.ErrorMsg);
                        //}
                        $scope.dhtml = JSON.parse(obj.JsonResult);
                        starting_list = JSON.parse(obj.JsonResult);
                        $('#begancity').val(decodeURI(escape(BeginCityName)));
                        localSet("departurenew", '{"id":' + getCityId(decodeURI(escape(BeginCityName))) + ',"n":"北京"}');
                    }
                });
            }
            else {

                $('#begancity').val(decodeURI(escape(BeginCityName)));
                localSet("departurenew", '{"id":' + getCityId(decodeURI(escape(BeginCityName))) + ',"n":"北京"}');
            }

        }

        if (DepartCityName != null) {
            $scope.destination.value = decodeURI(escape(DepartCityName))
        }
    }

    //   加载时间控件
    $(function () {
        //切换按钮状态 
        $('.aoyou-select-person').on('click', 'li', function () {
            $(this).addClass('aoyou-list-active').siblings().removeClass('aoyou-list-active');

        });
        //跳转到城市页
        $('#address').on('click', function () {
            $('.aoyou-pageone').addClass('aoyou-hidden');
            $('.aoyou-address').removeClass('aoyou-hidden');
            $scope.Getcitylist();
        });
        //选择城市
        $('#ulChuFaDi').on('click', 'span', function () {
            $('.aoyou-pageone').removeClass('aoyou-hidden');
            $('.aoyou-address').addClass('aoyou-hidden');
            $('#begancity').val($(this).text());
            $('#begancityid').val($(this).attr('cid'));
            $('#hidifchosecity').val(1);
            $scope.chooseDepartCity(this);
        });

        //-号按钮当数值等于1时候置灰
        $('.aoyou-numbox-btn-minus').on('click', function () {
            var strid = $(this).attr("id");
            if (strid == "btndayminus") {
                if ($("#txtdays").val() == "2") {
                    $(this).removeClass("aoyou-numbox-active");
                }
            }
            else {
                if ($("#txtTravelers").val() == "2") {
                    $(this).removeClass("aoyou-numbox-active");
                }
            }
        });
        //-号按加样式
        $('.aoyou-numbox-btn-plus').on('click', function () {
            var strid = $(this).attr("id");

            if (strid == "btndayplus") {
                $("#btndayminus").addClass("aoyou-numbox-active");
            }
            else {
                $("#btnpeopleminus").addClass("aoyou-numbox-active");
            }
        });
        $scope.returnadress();
    })

    //获取城市列表
    $scope.Getcitylist = function () {
        if (!starting_list) {
            api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'DepartureCity', "", true, function (obj) {
                if (obj.ErrorCode == 200 || obj.ErrorCode == -3) {
                    //if (obj.ErrorCode == -3) {
                    //    aoyou.toast(obj.ErrorMsg);
                    //}
                    $scope.dhtml = JSON.parse(obj.JsonResult);
                    starting_list = JSON.parse(obj.JsonResult);
                }
            });
        }
    }
    // 获取店铺列表
    $scope.Getshoplist = function () {
        api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'GetCustomSales', "", true, function (obj) {
            if (obj.ErrorCode == 200 || obj.ErrorCode == -3) {
                //if (obj.ErrorCode == -3) {
                //    aoyou.toast(obj.ErrorMsg);
                //}
                if (obj.JsonResult != "") {
                    $scope.service.list = JSON.parse(obj.JsonResult);
                    var depart = $.trim($('#begancity').val());
                    if (depart == "北京" && $scope.service.list.length > 0) {
                        $scope.service.show = true;
                    }
                }
            }
        });
    }

    //提交按钮是否可用
    $scope.btnsumitIsdisable = function () {
        var CustomerName = $("#txtusername").val();
        var CustomerPhone = $("#txtmemberphone").val();
        var CustomerEmail = $("#txtmemberemail").val();
        var sendcode = $("#txtsendcode").val();
        var phonepassword = $("#txtpassword").val();
        //新用户注册状态
        if ($("#lisendcode").css("display") != "none") {
            if (CustomerName.trim() != "" && CustomerPhone.trim() != "" && CustomerName.trim().length >= 2 && CustomerEmail.trim() != "" && sendcode.trim() != "") {
                changesubitcss(2);
                return true;
            }
            else {
                changesubitcss(1);
                return false;
            }
        }
        else {
            // 已注册未登陆状态
            if (api.getCookie("memberid") == null) {
                if (CustomerName.trim() != "" && CustomerPhone.trim() != "" && CustomerName.trim().length >= 2 && CustomerEmail.trim() != "" && phonepassword.trim() != "") {
                    changesubitcss(2);
                    return true;
                }
                else {
                    changesubitcss(1);
                    return false;
                }
            }
            else {
                if (CustomerName.trim() != "" && CustomerPhone.trim() != "" && CustomerName.trim().length >= 2 && CustomerEmail.trim() != "") {
                    changesubitcss(2);
                    return true;
                }
                else {
                    changesubitcss(1);
                    return false;
                }
            }
            //已经登陆状态
        }
    }
    // 选择城市
    $scope.chooseDepartCity = function (e) {
        var begincity = $.trim($("#begancity").val());
        if (begincity == "" || typeof (begincity) == 'undefined') {
            $scope.service.show = false;
            aoyou.toast("出发地不能为空")
        }
        else {
            if (begincity == "北京") {
                $scope.service.show = true;
                $(".aoyou-select-person").removeAttr("style");
            } else {
                $(".aoyou-select-person").css({ "display": "none" });
                $(".ulshoplist").find("li").removeClass("aoyou-list-active");
                //不选择金牌服务
                $scope.service.salesId = 0;
                $scope.service.salesName = "";
                $scope.service.serviceId = 0;
                $scope.service.serviceName = "";
                $scope.service.email = "";
                $scope.service.phone = "";
                $scope.service.show = false;
            }
            var json;
            if (e == "1") {
                json = '{"id":' + getCityId($("#begancity").val()) + ',"n":"' + $("#begancity").val() + '"}';
            }
            else {
                $("#begancity").val($(e).html());
                json = '{"id":' + $(e).attr("cid") + ',"n":"' + $(e).html() + '"}';
            }
            selectCity = true;
            localSet("departurenew", json);
        }
    }

    //绑定用户信息
    $scope.UserinfoBind = function () {
        var memberid = api.getCookie('memberid');
        if (memberid && typeof (memberid) != 'undefined' && memberid != null) {
            var param = JSON.stringify({
                memberid: api.getMemberId(),
            });
            api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'GetMemberInfoByMemberid', param, false, function (obj) {
                if (obj.ErrorCode == 200) {
                    $scope.L = JSON.parse(obj.JsonResult);
                    var josnresult = JSON.parse(obj.JsonResult);
                    $('#lisendcode').addClass('aoyou-hidden');
                    $scope.LoginSuc = true;
                    if (josnresult != null && josnresult["Email"] != null && josnresult["MemberName"] != null && josnresult["Mobile"] != null) {
                        if (josnresult["Email"].trim() != "" && josnresult["MemberName"].trim() != "" && josnresult["Mobile"].trim() != "")
                            changesubitcss(2);
                    }
                }
                else {
                    $('#lisendcode').removeClass('aoyou-hidden');
                }
            }, false);
        }
    }
    //检查用户手机号
    $scope.CheckPhoneExists = function () {
        var tel = $("#txtmemberphone").val();
        if (tel.trim() != "") {
            if (CheckPhoneNum(tel)) {
                changesubitcss(2);
                var memberid = api.getCookie('memberid')
                if (!memberid || typeof (memberid) == 'undefined') {
                    var param = JSON.stringify({
                        CustomPhone: tel,
                    });
                    api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'InformationCheck', param, false, function (obj) {
                        if (obj.ErrorCode == 200) {
                            $scope.d = JSON.parse(obj.JsonResult);
                            if ($scope.d[0].res == "true") {
                                $('#lisendcode').addClass('aoyou-hidden');
                                $('#liphonepassword').removeClass('aoyou-hidden');
                                $('#liemailpassword').addClass('aoyou-hidden');
                                $scope.btnsumitIsdisable();
                            }
                            else {
                                $('#lisendcode').removeClass('aoyou-hidden');
                                $('#liphonepassword').addClass('aoyou-hidden');
                                $('#liemailpassword').addClass('aoyou-hidden');
                                $scope.btnsumitIsdisable();
                            }
                        }
                        else {
                            $('#lisendcode').removeClass('aoyou-hidden');
                            $('#liphonepassword').addClass('aoyou-hidden');
                            $('#liemailpassword').addClass('aoyou-hidden');
                        }
                    });
                }
                else {
                    $scope.btnsumitIsdisable();
                }
            }
            else {
                aoyou.toast("手机格式不正确");
                changesubitcss(1);
            }
        }
        else {
            aoyou.toast("手机号不能为空");
            changesubitcss(1);
        }
    }
    //检查邮箱
    $scope.EmailExists = function () {
        var email = $("#txtmemberemail").val();
        if (email.trim() !== "") {
            if (CheckMail(email)) {
                $scope.btnsumitIsdisable();
            }
            else {
                aoyou.toast("邮箱格式不正确");
                changesubitcss(1);
            }
        }
        else {
            aoyou.toast("邮箱不能为空");
            changesubitcss(1);
        }
    }
    $scope.LoginSuc = false;
    //登陆
    $scope.Login = function (logintype) {
        var strLoginName = "";
        var strPassword = "";
        if (logintype == "1") {
            strLoginName = $("#txtmemberphone").val();
            strPassword = $("#txtpassword").val();
        }
        var param = JSON.stringify({
            LoginName: strLoginName,
            Password: strPassword
        });
        api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'CustomLogin', param, false, function (obj) {
            if (obj.ErrorCode == 200) {
                $scope.L = JSON.parse(obj.JsonResult);
                $('#liphonepassword').addClass('aoyou-hidden');
                $('#liemailpassword').addClass('aoyou-hidden');

                var josnresult = JSON.parse(obj.JsonResult);
                if (josnresult != null && josnresult["Email"] != null && josnresult["MemberName"] != null && josnresult["Mobile"] != null) {
                    if (josnresult["Email"].trim() != "" && josnresult["MemberName"].trim() != "" && josnresult["Mobile"].trim() != "")
                        changesubitcss(2);
                    api.setCookie("memberid", josnresult.MemberID);
                    $scope.LoginSuc = true;
                }
            }
            else {
                $scope.LoginSuc = false;
                aoyou.toast("用户名或密码不正确");
                changesubitcss(1);
            }
        });
    }

    //检查用户姓名
    $scope.checkName = function () {
        var strCustomPhone = $("#txtusername").val().trim();
        if (strCustomPhone == "") {
            aoyou.toast("姓名不能为空");
            changesubitcss(1);
            return false;
        } else if (strCustomPhone.length > 16) {
            $("#txtusername").val(strCustomPhone.substring(0, 16));
        }
        else if (strCustomPhone.length < 2) {
            aoyou.toast("姓名长度不能小于2个字符");
            changesubitcss(1);
            return false;
        }
        else {
            changesubitcss(2);
            $scope.btnsumitIsdisable();
        }
    }

    //检查验证码
    $scope.checkverificationcode = function () {
        if ($("#lisendcode").css("display") != "none" && $("#txtsendcode").val().trim() == "") {
            aoyou.toast("验证码不能为空");
            changesubitcss(1)
            return false;
        } else {
            $scope.btnsumitIsdisable();
        }
    }

    //发送验证码
    $scope.SendVerificationCode = function () {
        var strCustomPhone = $("#txtmemberphone").val();
        if (CheckPhoneNum(strCustomPhone)) {
            if (sendcode(strCustomPhone)) {
                var param = JSON.stringify({
                    CustomPhone: strCustomPhone
                });
                api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'SendVerificationCode', param, false, function (obj) {
                    if (obj.ErrorCode == 200) {
                        $scope.d = JSON.parse(obj.JsonResult);
                        if ($scope.d[0].res == "true") {
                            SendTime();
                            $scope.btnsumitIsdisable();
                        }
                        else {
                            aoyou.toast("发送验证码失败" + $scope.d[0].ErrorMsg);
                        }
                    }
                    else {
                        aoyou.toast("发送验证码失败,系统异常");
                    }
                });
            }
        }
        else {
            aoyou.toast("手机格式不正确");
            changesubitcss(1);
        }
    }
    $scope.checkall = function () {
        var CustomerName = $("#txtusername").val();
        var CustomerPhone = $("#txtmemberphone").val();
        var CustomerEmail = $("#txtmemberemail").val();
        var sendcode = $("#txtsendcode").val();
        var Destination = $scope.destination.value;
        var Birthland = $("#begancity").val();
        var isGuide = false;
        var Days = $("#txtdays").val();
        //人数
        var Travelers = $("#txtTravelers").val();
        var TravelDemand = $("#txtremark").val();
        var shopname = $("#hidshopname").val();

        if (CustomerPhone == "") {
            aoyou.toast("用户手机号不能为空");
            return false;
        }
        //手机格式验证
        if (!CheckPhoneNum(CustomerPhone)) {
            aoyou.toast("手机格式不正确");
            return false;
        }

        if (CustomerName == "") {
            aoyou.toast("用户姓名不能为空");
            return false;
        }
        if (CustomerName.length < 2) {
            aoyou.toast("姓名长度不能小于2个字符");
            return false;
        }
        
        if (CustomerEmail == "") {
            aoyou.toast("用户邮箱不能为空");
            return false;
        }
        //邮件格式验证
        if (!CheckMail(CustomerEmail)) {
            aoyou.toast("邮箱格式不正确");
            return false;
        }
        if (Birthland == "") {
            aoyou.toast("用户出发地不能为空");
            return false;
        }
        if ($("#lisendcode").css("display") == "none" && $scope.LoginSuc == false) {
            aoyou.toast("用户名或密码不正确");
            return false;
        }
        if ($("#lisendcode").css("display") != "none" && sendcode.trim() == "") {
            aoyou.toast("验证码不能为空");
            return false;
        }
        if (TravelDemand.length > 50) {
            aoyou.toast("用户备注信息不能大于50字");
            return false;
        }
        if ($scope.service.show && $scope.service.salesId == 0 && $scope.service.serviceId == 0) {
            aoyou.toast("请选择旅游专家");
            return false;
        }

        return true;
        //非空验证
    }
    //提交总按钮
    $scope.submitall = function () {
        if ($scope.checkall()) {
            var memberid = api.getCookie('memberid')
            if (memberid && typeof (memberid) == 'undefined' && $("#lisendcode").css("display") == "none") {
                aoyou.toast("用户名或密码不正确");
                return false;
            } else {
                var trverler = "";
                var param;
                var Destination = $scope.destination.value;
                var laststr = $scope.destination.value.charAt(Destination.length - 1);
                if (Destination != "" && Destination.length > 1) {
                    if (laststr == "、") {
                        Destination = Destination.substring(0, Destination.length - 1);
                    }
                }
                var devicetype = api.getQueryString("devicetype");               
                param = JSON.stringify({
                    CustomName: escape($("#txtusername").val()),
                    CustomPhone: $("#txtmemberphone").val(),
                    CustomEmail: $("#txtmemberemail").val(),
                    Destination: escape(Destination),
                    Birthland: escape($("#begancity").val()),
                    TravelType: $scope.travelType.value,
                    Days: $("#txtdays").val(),
                    Travelers: $("#txtTravelers").val(),
                    TravelDemand: escape($("#txtremark").val()),
                    VerifyCode: $("#txtsendcode").val(),
                    customids: memberid,
                    SalesID: $scope.service.salesId,
                    SalesName: $scope.service.salesName,
                    ServiceID: $scope.service.serviceId,
                    ServiceName: $scope.service.serviceName,
                    ReceiveEmail: $scope.service.email,
                    ReceiveTelephone: $scope.service.phone,
                    Memo1: devicetype == 'ios' || devicetype == 'android' ? 'App' : "Wap"
                });
                api.post($http, $scope, api.config.sitelogic, 'CustomChannel', 'SubmitCustomChannel', param, false, function (obj) {
                    if (obj.ErrorCode == 200) {
                        $scope.d = JSON.parse(obj.JsonResult);
                        if ($scope.d[0].res == "true") {
                            aoyou.toast("提交成功");
                            $scope.menuStateFirst = false;
                            $scope.menuStateSecond = false;
                            $scope.menuStateZero = false;
                            $scope.menuStatesSuccessful = true;
                            $('#divSuccessful').show();
                            $location.hash('positioningSuccessful');
                            $anchorScroll();
                        }
                        else {
                            aoyou.toast("提交失败" + $scope.d[0].ErrorMsg);
                        }
                    }
                    else {
                        aoyou.toast("提交失败,系统异常");
                    }
                }, false);
            }
        }
    }

    //aoyou推荐
    $scope.aoyouRecommend = function () {
        var keywork = "";
        if ($scope.destination.value != "") {
            var arr = $scope.destination.value.split("、");
            if (arr != null && arr.length > 0) {
                keywork = arr[0];
            }
        }
        var days = $("#txtdays").val();
        if (!starting_list) {
            $scope.Getcitylist();
        }

        cityid = $("#begancityid").val();//getMyCity();
        var strUrl = "http://m.aoyou.com/search/b" + cityid + "-k" + keywork.trim() + "-sd" + days;
        var searchParam = JSON.stringify({
            DeptCityID: cityid,
            DeptCityName: encodeURI($('#begancity').val()),
            Kewords: encodeURI(keywork),
            Days: days,
            StartDate: $("#btndatetime").val()
        });
        if (devicetype == 'ios') {
            api.invoke("action.openSearch", searchParam);
        }
        else if (devicetype == 'android') {
            window.action.exec('openSearch', searchParam);
        }
        else {
            window.location.href = strUrl;
        }
    }

    //目的地
    var num = 0;
    $scope.destination = {
        list: [{ name: '日本', cls: '' }, { name: '韩国', cls: '' }, { name: '香港', cls: '' }, { name: '云南', cls: '' }, { name: '新疆', cls: '' }, { name: '西藏', cls: '' }, { name: '美国', cls: '' }, { name: '欧洲', cls: '' }, { name: '澳大利亚', cls: '' }, { name: '台湾', cls: '' }, { name: '巴厘岛', cls: '' }, { name: '马尔代夫', cls: '' }],
        listname: ["日本", "韩国", "香港", "云南", "新疆", "西藏", "美国", "欧洲", "澳大利亚", "台湾", "巴厘岛", "马尔代夫"],
        value: '',
        click: function (index) {
            if ($scope.destination.list[index].cls == "") {
                if ($scope.destination.value.split('、').length > 4) {
                    aoyou.toast("目的地不能超过4个");
                    return false;
                }
                $scope.destination.list[index].cls = "aoyou-span-active";
                $scope.destination.value += $scope.destination.list[index].name + "、";
            } else {
                $scope.destination.list[index].cls = "";
                $scope.destination.value = $scope.destination.value.replace($scope.destination.list[index].name + "、", "").replace($scope.destination.list[index].name, "");
            }
        },
        blur: function (e) {
            var arrDest = $scope.destination.value.split('、');
            var destLength = arrDest.length;

            if (arrDest[destLength - 1] != "") {
                $scope.destination.value += "、";
            } else {
                destLength--;
            }
            for (var i = 0; i < $scope.destination.list.length; i++) {
                var name = $scope.destination.list[i].name;
                var cls = $scope.destination.list[i].cls;
                var index = $.inArray(name, arrDest);
                if (index > -1 && cls == "") {
                    $scope.destination.list[i].cls = "aoyou-span-active";
                } else if (index < 0 && cls != "") {
                    $scope.destination.list[i].cls = "";
                }
            }
            if (destLength > 4) {
                aoyou.toast("目的地不能超过4个");
                return false;
            }
        }
    }

    //出游性质
    $scope.travelType = {
        value: 0,
        single: "",
        company: "",
        click: function (ttype) {
            $scope.travelType.value = ttype;
            if (ttype == 1) {
                $scope.travelType.single = "ay-radio-check";
                $scope.travelType.company = "";
            }
            if (ttype == 2) {
                $scope.travelType.single = "";
                $scope.travelType.company = "ay-radio-check";
            }
        }
    }
    //金牌服务
    $scope.service = {
        list: [],
        show: false,//用来控制金牌服务的显示和隐藏
        salesId: 0,
        salesName: '',
        serviceId: 0,
        serviceName: '',
        email: '',
        phone: '',
        click: function (el) {
            if (el.SID == 0) {//本部连锁店专家
                $scope.service.salesId = el.GID;
                $scope.service.salesName = el.Identity;
                $scope.service.serviceId = 0;
                $scope.service.serviceName = "";
            } else {
                $scope.service.serviceId = el.GID;
                $scope.service.serviceName = el.GName;
                $scope.service.salesId = 0;
                $scope.service.salesName = "";
            }
            $scope.service.email = el.OrderEmail;
            $scope.service.phone = el.PrderPhone;
        }
    }

    //是否击穿事件影响
    $scope.influenceClick = function () {
        if ($('#hidifchosecity').val().trim() == "1") {
            $('#hidifchosecity').val("0");
            return false;
        }
        else {
            return true;
        }
    }
    // 显示
    $scope.toggleMenuFirst = function () {
        var begincity = $("#begancity").val();
        if (begincity.trim() == "" || typeof (begincity) == 'undefined') {
            aoyou.toast("出发地不能为空");
        }
        else {
            var length = $scope.destination.value.split('、').length;
            if ($scope.destination.value == "" || $scope.destination.value == undefined) {
                aoyou.toast("目的地不能为空");
                return false;
            } else if (length > 5) {
                aoyou.toast("目的地不能超过4个");
                return false;
            } else {
                $scope.menuStateFirst = true;
                var height = $('#ZeroID').height() + $('#limenuStateZero').height() + 44;
                $('body,html').animate({ scrollTop: height }, 1300);
            }
            $scope.Getshoplist();
        }
    };
    $scope.toggleMenuSecond = function () {
        if ($scope.travelType.value == 0) {
            aoyou.toast("请选择出游性质");
            return false;
        }
        $scope.menuStateSecond = true;
        document.getElementById("DIVFirst").style.display = "none";
        var height = $('#First2ID').height() + $('#First1ID').height() + $('#ZeroID').height() + $('#limenuStateZero').height() + 70;
        $('body,html').animate({ scrollTop: height }, 1300);
        $scope.UserinfoBind();
    };
});

//注册失去焦点事件
app.directive('ngBlur', function ($document) {
    return function (scope, element, attrs) {
        $(element).bind('blur', function (e) {
            scope.$apply(attrs.ngBlur);
        });
    };
})

//检查邮箱格式
function CheckMail(mail) {
    var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (filter.test(mail)) return true;
    else {
        return false;
    }
}
//检查手机号格式
function CheckPhoneNum(mobile) {
    var myreg = /^(13[0-9]|15[0-9]|18[0-9])\d{8}$/;
    if (mobile.length == 0 || mobile.length != 11 || !myreg.test(mobile)) {
        return false;
    }
    else {
        return true;
    }
}

function localSet(key, value) {
    try {
        localStorage.removeItem(key);
        localStorage.setItem(key, value);
    }
    catch (_) {
        alert("该功能无法使用，请关闭浏览器无痕模式（隐身模式）后重试");
    }
}

function localGet(key) {
    return localStorage.getItem(key);
}

//andriod返回键
function andriodGoBack() {

    var isMainView = $("#divDingZhi").attr('class').indexOf('aoyou-hidden') < 0;

    var isSelectView = $("#divChuFaDi").attr('class').indexOf('aoyou-hidden') < 0;

    if (isMainView) {
        window.action.exec('back', '');
    }
    if (isSelectView) {
        $("#divChuFaDi").addClass('aoyou-hidden');
        $("#divDingZhi").removeClass('aoyou-hidden');
    }

}
//-------------------------------CitySearch End--------------------------------------------------------------------

$(function () {
    FastClick.attach(document.body);
    $('#divSuccessful').hide();
    //safari键盘与fixed冲突解决
    $("input[type='text'],textarea").focus(function () {
        $('.aoyou-bar').css('position', 'static');
        $('#divDingZhi .aoyou-bar-nav ~ .aoyou-content').css('padding-top', '0px');
        $('#divSuccessful .aoyou-bar-nav ~ .aoyou-content').css('padding-top', '0px');
    }).blur(function () {
        $('.aoyou-bar').css('position', 'fixed');
        $('#divDingZhi .aoyou-bar-nav ~ .aoyou-content').css('padding-top', '44px');
    });
    $('.aoyou-action-back').click(function () {
        if (devicetype == 'ios') {
            api.invoke("action.back", "");
        }
        else if (devicetype == 'android') {
            window.action.exec('back', '');
        }
        else {
            window.location.href = "http://m.aoyou.com";
        }
    });
});